For the complete documentation index, see llms.txt. This page is also available as Markdown.

[PREPRODUCCIÓN] Documentación de endpoints de la API

El endpoint de API de su organización será accesible en https://[YOUR-TENANT-NAME].staging.violetlabs.com/api/ o https://[YOUR-TENANT-NAME].staging.violetgov.com/api/ para clientes de Violet Gov.

post
Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Cuerpo
keywordstringOpcional

Search keyword to filter entities

Example: part number
groupKeysarrayOpcional

Array of group keys (strings or objects)

sortobjectOpcional

Elasticsearch sort configuration

pagenumber · mín: 1Opcional

Page number (1-indexed)

Example: 1
limitnumber · mín: 1Opcional

Number of items per page

Example: 50
includeParametersbooleanOpcional

Whether to include parameters in the response

Default: false
includeSubEntitiesbooleanOpcional

Whether to include sub-entities in the response

Default: false
includeSchemasbooleanOpcional

Whether to include entity schemas in the response

Default: false
Respuestas
200

Search for entities

application/json
post/api/explore
POST /api/explore HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 410

{
  "keyword": "part number",
  "rowGroupCols": [
    {
      "id": "text",
      "displayName": "text",
      "field": "text"
    }
  ],
  "groupKeys": [],
  "filterModel": {
    "ANY_ADDITIONAL_PROPERTY": {
      "filterType": "text",
      "type": "text",
      "operator": "AND",
      "filter": "text",
      "filterTo": "text",
      "dateFrom": "text",
      "dateTo": "text",
      "values": [
        "text"
      ],
      "conditions": []
    }
  },
  "sort": {},
  "page": 1,
  "limit": 50,
  "includeParameters": false,
  "includeSubEntities": false,
  "includeSchemas": false
}
200

Search for entities

{
  "items": [
    {
      "id": "text",
      "entityType": "text",
      "key": "text",
      "name": "text",
      "externalId": "text",
      "tenantId": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "externalLastModifiedAt": "2026-01-01T00:00:00.000Z",
      "externalCreatedAt": "2026-01-01T00:00:00.000Z",
      "violetId": "text",
      "violetCoreEntity": "Account",
      "externalUrl": "text",
      "description": "text",
      "s3FileUrl": "text",
      "isReference": true,
      "isSubEntity": true,
      "isRevision": true,
      "isContainer": true,
      "isCustomEntity": true,
      "namedEntityProperties": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "namedEntityId": "123e4567-e89b-12d3-a456-426614174000",
          "violetEntityId": "123e4567-e89b-12d3-a456-426614174000",
          "propertyName": "text",
          "propertyIndex": 1,
          "namedEntity": "[Circular Reference]"
        }
      ],
      "application": {
        "id": "text",
        "name": "text",
        "imageUrl": "text"
      },
      "applicationId": "text",
      "tags": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "description": "text",
          "color": "text",
          "taggingsCount": 1,
          "taggedEntityIds": [
            "123e4567-e89b-12d3-a456-426614174000"
          ]
        }
      ],
      "connectionIds": [
        "text"
      ],
      "programIds": [
        "text"
      ],
      "integrationIds": [
        "text"
      ],
      "integrationNames": [
        "text"
      ],
      "externalEntitySchemaIds": [
        "text"
      ],
      "internalEntitySchemaIds": [
        "text"
      ],
      "violetScriptId": "text",
      "parameterId": "text",
      "assignee": "text",
      "cost": 1,
      "dueDate": "text",
      "mass": 1,
      "part": "text",
      "status": "text",
      "import": true,
      "properties": {},
      "categories": {},
      "entityDesignations": [
        "ASSEMBLY"
      ],
      "partOrAssemblyDescriptor": "ASSEMBLY"
    }
  ],
  "meta": {
    "itemCount": 1,
    "totalItems": 1,
    "itemsPerPage": 1,
    "totalPages": 1,
    "currentPage": 1
  },
  "links": {
    "first": "text",
    "previous": "text",
    "next": "text",
    "last": "text"
  }
}
get

Get all Violet Relationships, or relationship graph from a source entity. When sourceId is provided, returns a graph (entityNodes, requirementNodes, links) for traversal: Assembly → BOM → Parts, Part/BOM line → PO line → PO, PO ↔ Invoice ↔ Bill, PO/line → receipts/delivery. Use recursiveRelationshipTypes / nonRecursiveRelationshipTypes to restrict traversal; see GET /model for types.

Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Parámetros de consulta
sourceIdstring · uuidOpcional

Violet entity ID to start graph traversal from. If omitted, returns all relationships.

recursiveRelationshipTypesstringOpcional

Comma-separated relationship types to follow recursively (e.g. assemblyContains,contains for BOM; containsPOLine,receipts,linkedTo for PO/delivery/3-way match). See GET /model for all types.

Example: assemblyContains,contains
nonRecursiveRelationshipTypesstringOpcional

Comma-separated relationship types to include only one level.

Example: contains
afterIdstring · uuidOpcional

When sourceId is omitted, cursor for keyset pagination: relationship id from the last item of the previous response. Omit for the first page. Ignored when sourceId is provided.

limitinteger · mín: 1 · máx: 500Opcional

When sourceId is omitted, max readable relationships per page (default 100, max 500). Ignored when sourceId is provided.

Default: 100
Respuestas
200

Without sourceId: array of relationships (paginated). With sourceId: graph of nodes and links.

application/json
o
get/api/violet-relationships
GET /api/violet-relationships HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Without sourceId: array of relationships (paginated). With sourceId: graph of nodes and links.

{
  "entityNodes": [
    {
      "id": "text"
    }
  ],
  "requirementNodes": [
    {
      "id": "text"
    }
  ],
  "links": [
    {
      "id": "text",
      "sourceId": "text",
      "targetId": "text",
      "metadata": {},
      "relationshipType": "containsPOLine",
      "pushPendingStatus": "create",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "isCustom": true,
      "requirementId": "text",
      "nameOverride": "text"
    }
  ]
}

Última actualización

¿Te fue útil?